Bug 222555 - (tango-icons-extras) Review Request: tango-icon-theme-extras - Extra icons from the Tango Project
Review Request: tango-icon-theme-extras - Extra icons from the Tango Project
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-13 23:01 EST by Peter Gordon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 21:22:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Gordon 2007-01-13 23:01:33 EST
Spec URL: http://thecodergeek.com/downloads/fedora/tango-icon-theme-extras.spec
SRPM URL: http://thecodergeek.com/downloads/fedora/tango-icon-theme-extras-0.1.0-1.src.rpm

Description:
Contains extra icons for from the Tango Project. Currently this includes Tango
icons for iPod Digital Audio Player (DAP) devices and the Dell Pocket DJ DAP.

rpmlint is silent except for one warning:
W: tango-icon-theme-extras invalid-license Creative Commons Attribution Share-Alike

This is a a false positive, as it is simply not in the list in rpmlint's TagsCheck.py file; and the tango-icon-theme in Extras uses this exact License tag.

Thanks.
Comment 1 Peter Gordon 2007-01-21 15:41:42 EST
[ Adding alias; though "tango-icon-theme-extras" exceeds the 20-character limit. ]
Comment 2 Ruben Kerkhof 2007-01-28 18:13:37 EST
Hi Peter,

I'm happy to review your package. Look for a full review here in a bit.
Comment 3 Ruben Kerkhof 2007-01-29 02:43:59 EST
Ok, here we go.



- package conforms to package naming guidlines
- spec file name matches basename
- the package is licensed with an open source compatible license
- package includes license in %doc
- spec file is written in american english
- spec file is legible
- sources match upstream (sha1sum)
   1bed3023139187c36e851df19506f4942bf2d1c1  tango-icon-theme-extras-0.1.0.tar.gz
   1bed3023139187c36e851df19506f4942bf2d1c1  tango-icon-theme-extras-0.1.0.tar.gz.1
- package successfully built on my test box (i386)
- no need for exclude arch
- BR are present and make sense
- no libraries, no need to run ldconfig
- not relocatable
- package owns everything it creates
- package does not duplicate files it owns
- file attributes are set appropriatly
- %clean section present and removes buildroot
- consistently uses macros
- no large documentation
- files in %doc does not affect runtime of application
- does not contain a pkgconfig file
- does not contain any libraries
- does not have a devel package
- does not contain any .la files
- package does not have a gui
- package does not own files/directories owned by other packages.

Peter, have you considered reporting the missing CC lincense to the rpmlint maintainer?

I don't see any blockers, so this package is APPROVED.



Comment 4 Mamoru TASAKA 2007-01-29 02:55:37 EST
Just a comment:

* BuildRequires
-------------------------------------------
BuildRequires:	ImageMagick-devel >= 5.5.7
BuildRequires:	librsvg2-devel >= 2.12.3
-------------------------------------------
Check if "-devel" (not main) package is really required.
From buildlog, rebuilding this needs "/usr/bin/convert"
(in ImageMagick), /usr/bin/rsvg (librsvg2) are needed,
however, -devel packages do not seem to be needed.
Comment 5 Peter Gordon 2007-01-29 10:19:20 EST
Thanks for the review, Ruben!

(In reply to comment #4)
> BuildRequires:	ImageMagick-devel >= 5.5.7
> BuildRequires:	librsvg2-devel >= 2.12.3
> -------------------------------------------
> Check if "-devel" (not main) package is really required.
> From buildlog, rebuilding this needs "/usr/bin/convert"
> (in ImageMagick), /usr/bin/rsvg (librsvg2) are needed,
> however, -devel packages do not seem to be needed.

Much of this spec file is copied directly from the tango-icon-theme spec that is
already in Extras. I will check on these BuildRequires when I return home
tonight.  :]
Comment 6 Peter Gordon 2007-01-29 21:21:46 EST
Yup. I tried rebuilding it in mock with these BuildRequires changed to their
base packages (ImageMagick and librsvg2 intead of the -devel subpackages); and
the configure script fails because it uses pkg-config to ensure that the
necessary versions of these two are installed. The relevent pkgconfig files are
in the -devel packages, so these are needed. :)

Thanks for the review; imported and closing as NEXTRELEASE.

(And I've created bug #225354 to ask about adding that to the list of valid
licenses.)

Note You need to log in before you can comment on or make changes to this bug.